%define builtin_major_version 2
%define builtin_release_version 2.4
%define builtin_release_name Hallo

Name: annyung-release
Version: 2.4
Release: 1%{?dist}
Epoch: 0
Summary: The LInux AnNyung release file.
Summary(ko): 안녕 리눅스 릴리즈 파일.

Group: System Environment/Base
License: GPL
URL: http://annyung.oops.org

Source0: annyung-release-%{builtin_major_version}.tar.bz2
#Provides: redhat-release ceontos-release

BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch: noarch

%description
The %{name} package identifies the release of LInux AnNyung.

%description -l ko
%{name} 패키지는 안녕 리눅스의 릴리즈 정보를 가지고 있다

%prep
%setup -q -n %{name}-%{builtin_major_version}

%install
rm -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_sysconfdir}/{pki/rpm-gpg,yum.repos.d,yum/vars}
%{__mkdir_p} %{buildroot}%{_sysconfdir}/cron.weekly/
%{__mkdir_p} %{buildroot}%{_bindir}
%{__mkdir_p} %{buildroot}%{_datadir}/%{name}/functions.d/bash
%{__mkdir_p} %{buildroot}/sbin

%{__install} -m 644 AnNyung.repo %{buildroot}%{_sysconfdir}/yum.repos.d/
%{__install} -m 644 RPM-GPG-KEY-AnNyung-2 %{buildroot}%{_sysconfdir}/pki/rpm-gpg/
%{__install} -m 644 macros.annyung %{buildroot}%{_datadir}/%{name}/
%{__install} -m 644 functions %{buildroot}%{_datadir}/%{name}/functions.d/bash/
%{__install} -m 755 anbuild.sh %{buildroot}%{_bindir}/annyung-build
%{__install} -m 700 annyung-init-banner %{buildroot}/sbin/annyung-init-banner
%{__install} -m 755 crontab.weekly %{buildroot}%{_sysconfdir}/cron.weekly/annyung-banner
%{__ln_s} -f %{_bindir}/annyung-build %{buildroot}%{_bindir}/anbuild
%{__ln_s} -f %{_bindir}/annyung-build %{buildroot}%{_bindir}/anrebuild
%{__ln_s} -f %{_bindir}/annyung-build %{buildroot}%{_bindir}/anresign

echo "AnNyung release %{builtin_release_version} (%{builtin_release_name})" > \
	%{buildroot}%{_sysconfdir}/annyung-release
echo %{builtin_major_version} > %{buildroot}%{_sysconfdir}/yum/vars/annyungver

%{__mkdir_p} %{buildroot}%{_sysconfdir}/profile.d
%{__install} -m 644 alias.sh %{buildroot}%{_sysconfdir}/profile.d/zannyung.sh
%{__install} -m 644 alias.csh %{buildroot}%{_sysconfdir}/profile.d/zannyung.csh

%clean
rm -rf %{buildroot}

%post
/sbin/annyung-init-banner >& /dev/null
# install or update
if [ $1 = 1 -o $1 = 2 ]; then
	rpm --import %{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-AnNyung-2 &> /dev/null
fi

%files
%defattr(-,root,root,-)
%doc GPL EULA
%attr(0644,root,root) %{_sysconfdir}/annyung-release
%dir %{_sysconfdir}/pki/rpm-gpg
%{_sysconfdir}/pki/rpm-gpg/*
%{_sysconfdir}/cron.weekly/annyung-banner
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/yum.repos.d/*
%{_sysconfdir}/yum/vars/annyungver
%{_datadir}/%{name}/macros.annyung
%{_datadir}/%{name}/functions.d
%{_bindir}/anbuild
%{_bindir}/anrebuild
%{_bindir}/anresign
%attr(700,root,root) /sbin/*
%attr(755,root,root) %{_bindir}/annyung-build
%attr(0644,root,root) %{_sysconfdir}/profile.d/*

%changelog
* Wed Oct 29 2014 JoungKyun.Kim <http://oops.org> - 0:2.4-1%{?dist}
- AnNyung LInux 2.4 Release

* Wed Jul 23 2014 JoungKyun.Kim <http://oops.org> - 0:2.3-3%{?dist}
- PATH 환경 변수 초기화 되는 문제 수정

* Thu Dec  5 2013 JoungKyun.Kim <http://oops.org> - 0:2.3-2%{?dist}
- 2.3 배너 변경 안되는 문제 수정

* Sat Nov 23 2013 JoungKyun.Kim <http://oops.org> - 0:2.3-1%{?dist]
- AnNyung LInux 2.3 Release

* Mon Aug 12 2013 JoungKyun.Kim <http://oops.org> - 0:2.2-3%{?dist}
- fixed duplicated warning message on issue.net

* Tue Jul 30 2013 JoungKyun.Kim <http://oops.org> - 0:2.2-2%{?dist}
- issue.net: add ISMS warning message

* Mon Mar 11 2013 JoungKyun.Kim <http://oops.org> - 0:2.2-1%{?dist}
- AnNyung LInux 2.2 Release

* Mon Oct 29 2012 JoungKyun.Kim <http://oops.org> - 0:2.1-4%{?dist}
- prevent annyung profile script  duplicated execution

* Sun Aug 26 2012 JoungKyun.Kim <http://oops.org> - 0:2.1-3%{?dist}
- add grpentry, pwentry on annyung functions

* Sat Aug 18 2012 Joungkyun.Kim <http://oops.org> - 0:2.1-2%{?dist}
- add root user in wheel group
- execute annyung-banner-init per week

* Fri Jul 13 2012 Joungkyun.Kim <http://oops.org> - 0:2.1-1%{?dist}
- update 2.1

* Wed Mar 21 2012 JoungKyun.Kim <http://oops.org> - 0:2.0-3%{?dist}
- fixed alias on to ssh -l $SU_USER
- fixed OS name in grub.conf

* Thu Mar  8 2012 JoungKyun.Kim <http://oops.org> - 0:2.0-2%{?dist}
- add AnNyung's bash functions

* Mon Dec 19 2011 JoungKyun.Kim <http://oops.org> - 0:2.0-1%{?dist}
- Build for AnNyung 2.0
